<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css"
    />
    <link rel="stylesheet" href="style.css" />
    <title>Password Generator</title>
  </head>
  <body>
    <div class="container">
      <h4>Password Generator</h4>
      <div class="result-container">
        <span id="result"></span>
        <button class="btn" id="clipboard">
          <i class="fas fa-clipboard"></i>
        </button>
      </div>
      <div class="settings">
        <div class="setting">
          <label for="length">Password length</label>
          <input type="number" id="length" min="4" max="20" value="20" />
        </div>
        <div class="setting">
          <label for="uppercase">Uppercase letters</label>
          <input type="checkbox" id="uppercase" checked />
        </div>
        <div class="setting">
          <label for="lowercase">Lowercase letters</label>
          <input type="checkbox" id="lowercase" checked />
        </div>
        <div class="setting">
          <label for="numbers">Numbers</label>
          <input type="checkbox" id="numbers" checked />
        </div>
        <div class="setting">
          <label for="symbols">Symbols</label>
          <input type="checkbox" id="symbols" checked />
        </div>
      </div>
      <button class="btn btn-small" id="generate">Generate</button>
    </div>

    <script src="main.js"></script>
  </body>
</html>
